## org.eclipse.emf.converter.ui.contribution
Class ModelConverterManager<D extends ModelConverterDescriptor>

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager<D>

Direct Known Subclasses:
  ModelExporterManager, ModelImporterManager

    public abstract class ModelConverterManager<D extends ModelConverterDescriptor>

extends java.lang.Object

Since:
  2.2.0

Nested Class Summary
`static class` `ModelConverterManager.ModelConverterDescriptorImpl`
`static class` `ModelConverterManager.ModelConverterDescriptorLabelProvider`
`static class` `ModelConverterManager.ModelConverterDescriptorWizardNode`

Field Summary
`protected java.util.List<D>` `descriptors`

Constructor Summary
`ModelConverterManager()`

Method Summary
`protected D` `createFromContribution(IConfigurationElement configurationElement)`
`protected abstract ModelConverterManager.ModelConverterDescriptorImpl` `createModelConverterDescriptorImpl()`
`protected abstract ModelConverterManager.ModelConverterDescriptorWizardNode` `createModelConverterDescriptorWizardNode(D descriptor)`
`java.util.Map<D,ModelConverterManager.ModelConverterDescriptorWizardNode>` `createModelConverterDescriptorWizardNodeMap()`
`void` `dispose()`
`protected abstract java.lang.String` `getElementName()`
`protected abstract java.lang.String` `getExtensionPointId()`
`D` `getModelConverterDescriptor(java.lang.String id)`
`java.util.List<D>` `getModelConverterDescriptors()`
`protected abstract java.lang.String` `getPluginId()`
`java.util.List<D>` `retrieveContributedModelConverterDescriptors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptors

    protected java.util.List<D extends ModelConverterDescriptor> descriptors

Constructor Detail

### ModelConverterManager

    public ModelConverterManager()

Method Detail

### dispose

    public void dispose()

### createModelConverterDescriptorWizardNode

    protected abstract ModelConverterManager.ModelConverterDescriptorWizardNode createModelConverterDescriptorWizardNode(D descriptor)

### createModelConverterDescriptorWizardNodeMap

    public java.util.Map<D,ModelConverterManager.ModelConverterDescriptorWizardNode> createModelConverterDescriptorWizardNodeMap()

  Returns:
    a map in which the key is a `ModelConverterDescriptor` and the value is a `ModelConverterManager.ModelConverterDescriptorWizardNode`

### getModelConverterDescriptors

    public java.util.List<D> getModelConverterDescriptors()

### getModelConverterDescriptor

    public D getModelConverterDescriptor(java.lang.String id)

### getPluginId

    protected abstract java.lang.String getPluginId()

### getExtensionPointId

    protected abstract java.lang.String getExtensionPointId()

### retrieveContributedModelConverterDescriptors

    public java.util.List<D> retrieveContributedModelConverterDescriptors()

### getElementName

    protected abstract java.lang.String getElementName()

### createModelConverterDescriptorImpl

    protected abstract ModelConverterManager.ModelConverterDescriptorImpl createModelConverterDescriptorImpl()

### createFromContribution

    protected D createFromContribution(IConfigurationElement configurationElement)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.